image: eclipse-temurin:17

workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH'

pages:
  tags:
    - kubernetes
  script:
    - ./gradlew javadoc
    - mv ./build/docs/javadoc public/javadoc
  artifacts:
    paths:
      - public
  rules:
    - if: '$CI_COMMIT_BRANCH == "master"'
  
